## Optionen für den Aufruf von VMAKE

### Verwendung

Option | Beschreibung
-b | Elternprozess wird beendet, nachdem der Kindprozess erfolgreich erzeugt wurde. Der Kindprozess wird erzeugt, nachdem alle Beschreibungen gesammelt wurden. Normalerweise lautet die erste Meldung des Kindprozesses <date> start of <target>. Vor dieser Nachricht wird VMAKE interaktiv ausgeführt, d. h. die standardmäßigen Signalhandler werden genutzt.
-c | Nachdem alle Beschreibungsdateien gesammelt wurden, wird die gesamte Beschreibungsinformation angezeigt und VMAKE beendet. Dies kann zur Überprüfung der Beschreibungsdateien (oder des Werkzeugs VMAKE) genutzt werden.
-d | Nur die in der Kommandozeile aufgeführten Ziele werden erstellt, falls sie nicht aktuell sind. Bei abhängigen Moduldateien wird davon ausgegangen, dass sie aktuell sind. So kann für einen Test eine Aktualisierung aller abhängigen Moduldateien vermieden werden.
-D<digit> | Ausgabe von Informationen über interne Daten und Programmabläufe; je größer die Zahl <digit> ist, um so mehr Informationen werden ausgegeben.
+e | Wenn Sie mit Hilfe der Umgebungsvariablen $VMAKE_OPTION die Erstellung der Software im Debug-Mode spezifiziert haben, dann können Sie mit der Option +e den Debug-Modus deaktivieren.
-F | Erstellen einer Auslieferungsliste, wobei eventuell veraltete Ziele nicht aktualisiert werden. Von dem aufgerufenen Ziel werden alle Dateien, die mit der Option distrib oder distribute für Beschreibungsdateien versehen wurden, in eine Liste eingetragen. Diese Liste wird im Verzeichnis $INSTROOT/etc in eine Datei gesichert. Der Name der Datei ist der Name des aufgerufenen Zieles. Sie bekommt die Dateiendung .lst. Bei der Eingabe von imf -F all wird die Datei all.lst erzeugt.
-g | Nutzung der kompletten Pfadhierarchie aus $VMAKE_PATH zur Suche nach Objektdateien; übersteuert den Parameter I der Umgebungsvariablen $VMAKE_OPTION.
-i | interaktiver Modus; Benutzer muss einen Abbruch von VMAKE nicht bestätigen.
-I | zusammen mit der Option -U; Include-Dateien werden neu erzeugt
-k | temporäre Dateien werden nicht gelöscht (z. B. entpackte Moduldateien, Objektdateien)
-K | temporäre Dateien werden nicht gelöscht; zusätzlich erhalten alle Skripte die Option -k. Damit löschen auch die Skripte ihre temporären Dateien nicht.
-L | C-Moduldateien werden mit Hilfe von LINT analysiert. Weitere Operationen werden nicht ausgeführt.
-l | verhindert die Benutzung von Objektdateien aus kleineren Pfadhierarchien. VMAKE übersetzt nur Moduldateien, die von der untersten Pfadhierarchie stammen. Diese Option übersteuert den Parameter g der Umgebungsvariablen $VMAKE_OPTION.
-m | Nachdem alle Beschreibungsinformationen gesammelt wurden, werden sämtliche Moduldateien ausgegeben, die benötigt werden.
-n | Überprüfendes MAKE-Vorgangs. VMAKE arbeitet wie gewöhnlich, aber alle Dateisystem- und Betriebssystemkommandos werden nicht ausgeführt. VMAKE nimmt an, dass alle diese Operationen erfolgreich durchgeführt wurden.
-p | Profiling für alle Moduldateien
-r | Normalerweise werden Moduldateien von ihrem Rahmen befreit und dann übersetzt. Die Verwendung dieser Option unterbindet das Übersetzen und Linken. Die ausgepackten Moduldateien verbleiben im Arbeitsverzeichnis. Weitere Operationen werden nicht ausgeführt.
-R | Um den Erstellungsprozess zu beschleunigen, wird gemäß Voreinstellung von VMAKE die Option ? require : <source> in Beschreibungsdateien nicht ausgewertet. Mit der Option R wird die Option ? require : <source> berücksichtigt.
-S | Aus PASCAL-Moduldateien werden Größeninformationen von Typen und Variablen extrahiert. Weitere Operationen werden nicht ausgeführt.
-u | Alle genannten Moduldateien werden explizit neu übersetzt und gelinkt. Alle abhängigen Moduldateien werden wie gewöhnlich entsprechend ihrer Aktualität übersetzt und gelinkt. Alle genannten Beschreibungsdateien werden explizit neu gelinkt. Wenn Sie als Ziel eine Abarbeitungsliste angeben, dann werden alle Module, die direkt in dieser Abarbeitungsliste aufgeführt sind, neu übersetzt.
-U | Alle genannten Moduldateien sowie davon abhängige Dateien werden übersetzt und gelinkt (Ausnahme: Include-Dateien).
-x | Alle Dateisystem-Kommandos, die VMAKE ausführt, werden vorher angezeigt.